﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Data;
using C1.WPF.FlexGrid;

namespace GroupPanel
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            // create a data source
            var list = new List<Product>();
            for (int i = 0; i < 200; i++)
            {
                list.Add(new Product());
            }

            // assign the data source to both grids
            var cvs = new CollectionViewSource() { Source = list };
            _flex.ItemsSource = cvs.View;
        }
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            _flex.Invalidate();
        }
    }
}
